- Qt 6.9
- Qt Qml
- QQmlEngineExtensionPlugin Proxy Page
- Qt 6.9.3 Reference Documentation

# QQmlEngineExtensionPlugin Proxy Page

## Macros

`(since 6.2)` | Q_IMPORT_QML_PLUGIN(PluginName)

## Macro Documentation

### `[since 6.2]` Q_IMPORT_QML_PLUGIN(PluginName)

Ensures the plugin whose metadata-declaring plugin extension class is named PluginName is linked into static builds. For the modules created using qt_add_qml_module, the default plugin extension class name is computed from the QML module URI by replacing dots with underscores, unless the `CLASS_NAME` argument is specified.

For example:

     qt_add_qml_module(myplugin
         # The plugin extension class name in this case is my_Company_QmlComponents.
         URI my.Company.QmlComponents
         ...
     )

This macro was introduced in Qt 6.2.

See also Q_IMPORT_PLUGIN.